Commit 4e03cf6b authored by André Anjos's avatar André Anjos 💬

Add Travis-CI build support

parent a9158afc
# After changing this file, run it through http://lint.travis-ci.org/
# Generates 4 builds, the ones for python3 will install external wheels
language: python
python:
- 2.6
- 2.7
matrix:
include:
- python: 3.2
env:
- NUMPYSPEC===1.7.1
- python: 3.3
env:
- NUMPYSPEC===1.8.0
before_install:
- sudo add-apt-repository -y ppa:biometrics/bob
- sudo apt-get update -qq
- sudo apt-get install -qq bob-dev
- if [ -n "${NUMPYSPEC}" ]; then sudo apt-get install -qq libatlas-dev libatlas-base-dev liblapack-dev gfortran; fi
- if [ -n "${NUMPYSPEC}" ]; then pip install --upgrade pip setuptools; fi
- if [ -n "${NUMPYSPEC}" ]; then pip install --find-links http://wheels.astropy.org/ --find-links http://wheels2.astropy.org/ --use-wheel numpy$NUMPYSPEC sphinx nose; fi
install:
- "python bootstrap.py"
- "./bin/buildout"
script:
- "./bin/python -c 'from xbob.db.base import get_config; print(get_config())'"
- "./bin/nosetests -sv"
- "./bin/sphinx-build -b doctest doc sphinx"
- "./bin/sphinx-build -b html doc sphinx"
......@@ -2,6 +2,9 @@
.. Andre Anjos <andre.anjos@idiap.ch>
.. Thu 29 Aug 2013 16:07:57 CEST
.. image:: https://travis-ci.org/bioidiap/xbob.db.base.svg?branch=master
:target: https://travis-ci.org/bioidiap/xbob.db.base
==================================
Python bindings for xbob.db.base
==================================
......
......@@ -20,9 +20,9 @@ prefixes = /idiap/group/torch5spro/nightlies/last/bob/linux-x86_64-release
/Users/andre/work/bob/b/dbg/
[sources]
xbob.extension = git git@github.com:bioidiap/xbob.extension branch=prototype
xbob.blitz = git git@github.com:bioidiap/xbob.blitz
xbob.io = git git@github.com:bioidiap/xbob.io
xbob.extension = git https://github.com/bioidiap/xbob.extension branch=prototype
xbob.blitz = git https://github.com/bioidiap/xbob.blitz
xbob.io = git https://github.com/bioidiap/xbob.io
[scripts]
recipe = xbob.buildout:scripts
......@@ -31,7 +31,6 @@ extensions = [
'sphinx.ext.autosummary',
'sphinx.ext.doctest',
'sphinx.ext.intersphinx',
'matplotlib.sphinxext.plot_directive',
]
# The viewcode extension appeared only on Sphinx >= 1.0.0
......
......@@ -6,4 +6,24 @@
"""The db package contains simplified APIs to access data for various databases
that can be used in Biometry, Machine Learning or Pattern Classification."""
import pkg_resources
__version__ = __import__('pkg_resources').require(__name__)[0].version
def get_config():
"""Returns a string containing the configuration information.
"""
import pkg_resources
packages = pkg_resources.require(__name__)
this = packages[0]
deps = packages[1:]
retval = "%s: %s (%s)\n" % (this.key, this.version, this.location)
retval += " - python dependencies:\n"
for d in deps: retval += " - %s: %s (%s)\n" % (d.key, d.version, d.location)
return retval.strip()
from . import utils, driver
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment